#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 15. Networking Programs

- Prev

  Samba-4.24.0

- Next

  Configuring the Linux Kernel for Wireless

- Up
- Home

# Wget-1.25.0

## Introduction to Wget

The Wget package contains a utility useful for non-interactive downloading of files from the Web.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://ftpmirror.gnu.org/wget/wget-1.25.0.tar.gz

- Download MD5 sum: c70ba58b36f944e8ba1d655ace552881

- Download size: 5.0 MB

- Estimated disk space required: 38 MB (add 27 MB for tests)

- Estimated build time: 0.3 SBU (add 0.4 SBU for tests)

### Wget Dependencies

#### Recommended

libpsl-0.21.5

#### Recommended at runtime

make-ca-1.16.1

#### Optional

GnuTLS-3.8.13, HTTP-Daemon-6.16 (for the test suite), IO-Socket-SSL-2.098 (for the test suite), libidn2-2.3.8, libproxy-0.5.12, and Valgrind-3.26.0 (for the test suite)

## Installation of Wget

Install Wget by running the following commands:

    ./configure --prefix=/usr      \
                --sysconfdir=/etc  \
                --with-ssl=openssl &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--sysconfdir=/etc`: This relocates the configuration file from `/usr/etc` to `/etc`.

`--with-ssl=openssl`: This allows the program to use openssl instead of GnuTLS-3.8.13.

`--enable-libproxy`: This switch allows wget to use libproxy for proxy configuration. Use it if you have the libproxy-0.5.12 package installed and wish to use a proxy server.

`--enable-valgrind-tests`: This allows the tests to be run under valgrind.

## Configuring Wget

### Config Files

`/etc/wgetrc` and `~/.wgetrc`

## Contents

Installed Program: wget
Installed Libraries: None
Installed Directories: None

### Short Descriptions

wget | retrieves files from the Web using the HTTP, HTTPS and FTP protocols. It is designed to be non-interactive, for background or unattended operations

- Prev

  Samba-4.24.0

- Next

  Configuring the Linux Kernel for Wireless

- Up
- Home